﻿using NUnit.Framework;

namespace Cpuss.Tests
{

    /// <summary>
    /// Tests for ProcessCompletedEventArgs.
    /// </summary>
    [TestFixture]
    public class ProcessCompletedEventArgsTest
    {

        /// <summary>
        /// Check to see that the values of the properties are as expected.
        /// </summary>
        [Test]
        public void PropertiesTest()
        {
            ProcessCompletedEventArgs actual = new ProcessCompletedEventArgs(12, 56, 67, Priority.Medium, 102, 158);

            Assert.AreEqual(12, actual.Id);
            Assert.AreEqual(56, actual.BurstTime);
            Assert.AreEqual(67, actual.ArrivalTime);
            Assert.AreEqual(102, actual.StartTime);
            Assert.AreEqual(158, actual.CompletionTime);
            Assert.AreEqual(Priority.Medium, actual.Priority);
        }

    }

}
