﻿using NUnit.Framework;

namespace Cpuss.Tests
{

    /// <summary>
    /// Tests for ProcessStartedEventArgs.
    /// </summary>
    [TestFixture]
    public class ProcessStartedEventArgsTest
    {

        /// <summary>
        /// Check to see that the properties return the expected values.
        /// </summary>
        [Test]
        public void PropertiesTest()
        {
            ProcessStartedEventArgs actual = new ProcessStartedEventArgs(12, 34, 4, Priority.Medium, 12);

            Assert.AreEqual(12, actual.Id);
            Assert.AreEqual(34, actual.BurstTime);
            Assert.AreEqual(4, actual.ArrivalTime);
            Assert.AreEqual(12, actual.StartTime);
            Assert.AreEqual(Priority.Medium, actual.Priority);
        }

    }

}
