﻿using Cpuss.Strategies;
using NUnit.Framework;

namespace Cpuss.Tests
{

    /// <summary>
    /// Tests for RunnerCompletedEventArgs.
    /// </summary>
    [TestFixture]
    public class RunnerCompletedEventArgsTest
    {

        /// <summary>
        /// Check to see that the property values are intitialized correctly.
        /// </summary>
        [Test]
        public void ConstructorTest()
        {
            RunnerCompletedEventArgs actual = new RunnerCompletedEventArgs(3, new FirstComeFirstServed(), 34);

            Assert.AreEqual(34, actual.TotalTime);
        }

    }

}
