﻿using Cpuss.Strategies;
using NUnit.Framework;

namespace Cpuss.Tests
{

    /// <summary>
    /// Tests for RunnerStartedEventArgs.
    /// </summary>
    [TestFixture]
    public class RunnerStartedEventArgsTest
    {

        /// <summary>
        /// Check to see that that property values are intialized correctly.
        /// </summary>
        [Test]
        public void ConstructorTest()
        {
            RunnerStartedEventArgs actual = new RunnerStartedEventArgs(4, new FirstComeFirstServed());

            Assert.AreEqual(4, actual.ProcessCount);
            Assert.IsNotNull(actual.Strategy);
        }

    }
}
