﻿namespace Cpuss
{
    /// <summary>
    /// Event data associated with <see cref="Runner.ProcessPreempted"/>.
    /// </summary>
    public class ProcessPreemptedEventArgs : ProcessEventArgs
    {
        /// <summary>
        /// Initializes a new instance of <see cref="ProcessPreemptedEventArgs"/>.
        /// </summary>
        /// <param name="id">PID.</param>
        /// <param name="burstTime">Burst time of process.</param>
        /// <param name="arrivalTime">Arrival time of process.</param>
        /// <param name="priority">Priority of process.</param>
        public ProcessPreemptedEventArgs(int id, int burstTime, int arrivalTime, Priority priority)
            : base(id, burstTime, arrivalTime, priority)
        {
        }
    }
}