﻿using NUnit.Framework;

namespace Cpuss.Tests
{

    /// <summary>
    /// Tests for Pair.
    /// </summary>
    [TestFixture]
    public class PairTest
    {

        /// <summary>
        /// Check to see that the first value of a Pair is correct.
        /// </summary>
        [Test]
        public void FirstTest()
        {
            var actual = new Pair<int, int>()
            {
                First = 23
            };

            Assert.AreEqual(23, actual.First);
        }

        /// <summary>
        /// Check to see that the second value of a Pair is correct.
        /// </summary>
        [Test]
        public void SecondTest()
        {
            var actual = new Pair<int, int>()
            {
                Second = 99
            };

            Assert.AreEqual(99, actual.Second);
        }

    }

}
