﻿using System.Collections.Generic;

namespace Cpuss
{
    /// <summary>
    /// Collection of <see cref="Process"/>.
    /// </summary>
    public class ProcessLoad : List<Process>
    {
        /// <summary>
        /// Initializes a new instance of <see cref="ProcessLoad"/>.
        /// </summary>
        public ProcessLoad()
        {
        }

        /// <summary>
        /// Initializes a new instance of <see cref="ProcessLoad"/> with the items from an <see cref="IEnumerable{Process}"/>.
        /// </summary>
        /// <param name="processes">Processes to populate <see cref="ProcessLoad"/> with.</param>
        public ProcessLoad(IEnumerable<Process> processes)
            : base(processes)
        {
        }
    }
}