﻿namespace Cpuss
{
    /// <summary>
    /// Event data asscoiated with <see cref="Runner.ProcessResumed"/>
    /// </summary>
    public class ProcessResumedEventArgs : ProcessStartedEventArgs
    {
        /// <summary>
        /// Creates and initializes a new instance of <see cref="ProcessResumedEventArgs"/>.
        /// </summary>
        /// <param name="id">PID.</param>
        /// <param name="burstTime">Burst time of process.</param>
        /// <param name="arrivalTime">Arrival time of process.</param>
        /// <param name="priority">Priority of process.</param>
        /// <param name="startTime">Start time of process.</param>
        public ProcessResumedEventArgs(int id, int burstTime, int arrivalTime, Priority priority, int startTime)
            : base(id, burstTime, arrivalTime, priority, startTime)
        {
        }
    }
}